BLEND(9)

NAME

blend - Perform linear interpolation between two values

SYNOPSIS

loadrt blend [count=N|names=name1[,name2...]]

FUNCTIONS

blend.N (requires a floating-point thread)

PINS

blend.N.in1 float in
    First input. If select is equal to 1.0, the output is equal to in1

blend.N.in2 float in
    Second input. If select is equal to 0.0, the output is equal to in2

blend.N.select float in
    Select input. For values between 0.0 and 1.0, the output changes linearly from in2 to in1

blend.N.out float out
    Output value.

PARAMETERS

blend.N.open bit rw
    If true, select values outside the range 0.0 to 1.0 give values outside the range in2 to in1. If false, outputs are clamped to the the range in2 to in1

AUTHOR

Jeff Epler

LICENSE

GPL